class PackageException {
  final Exception innerException;
  final Error innerError;

  final StackTrace stackTrace;

  dynamic get currentException => innerException ?? innerError;

  PackageException.fromException(this.innerException, [this.stackTrace])
      : innerError = null;

  PackageException.fromError(this.innerError, [this.stackTrace])
      : innerException = null;
}
